List agent receipts
curl --request GET \
--url https://api.truthlocks.com/v1/agent-receipts/agent/{agentID} \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.truthlocks.com/v1/agent-receipts/agent/{agentID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/agent-receipts/agent/{agentID}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/agent-receipts/agent/{agentID}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"receipt_id": "<string>",
"agent_id": "<string>",
"version": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"signature": "<string>",
"signing_envelope": {
"version": "<string>",
"key_id": "<string>",
"algorithm": "<string>",
"payload": "<string>"
},
"metadata": {}
}
]Agent receipts (MAIP)
List agent receipts
List receipts for one workspace agent.
GET
/
v1
/
agent-receipts
/
agent
/
{agentID}
List agent receipts
curl --request GET \
--url https://api.truthlocks.com/v1/agent-receipts/agent/{agentID} \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.truthlocks.com/v1/agent-receipts/agent/{agentID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/agent-receipts/agent/{agentID}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/agent-receipts/agent/{agentID}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"receipt_id": "<string>",
"agent_id": "<string>",
"version": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"signature": "<string>",
"signing_envelope": {
"version": "<string>",
"key_id": "<string>",
"algorithm": "<string>",
"payload": "<string>"
},
"metadata": {}
}
]List receipts for one workspace agent.
Use a workspace API key or bearer token. Encode the complete
maip-receipt: identifier as one URL path segment.Authorizations
apiKeybearerAuth
Path Parameters
Query Parameters
Required range:
1 <= x <= 100
